---

# For information on these settings, see
# https://utterlyvoice.com/help/settings-files.

# Words that are interpreted as numeric signs proceeding a spoken number.
signWords:
  - word: "negative"
    value:  -1
  - word:  "minus"
    value: -1
  - word: "positive"
    value: 1

# Replacements for each word when processing input as a number.
replacements:
  # For cases like "1,000", ignore the comma.
  - input: ","
    output: ""
    matchWholeWord: false
  # For cases like "7:00", which some recognizers output when saying "at 7",
  # ignore the ":00".
  - input: ":00" 
    output: ""
    matchWholeWord: false
  # For cases like "12:36", which some recognizers output when saying
  # "twelve thirty six", ignore the ":".
  - input: ":"
    output: ""
    matchWholeWord: false
  # For cases like "one hundred and twenty three",
  # ignore the "and".
  - input: "and"
    output: ""
    matchWholeWord: true
  # Translate "await" to "oh eight".
  # This is for cases like "three await" -> "three oh eight".
  - input: "await"
    output: "oh eight"
    matchWholeWord: true

# The words used to set magnitudes within a number.
magnitudes:
  - word: "."
    factor: 1
    isPartDelimiter: true
  - word: "point"
    factor: 1
    isPartDelimiter: true
  - word: "hundred"
    factor: 100
    isPartDelimiter: false
  - word: "thousand"
    factor: 1000
    isPartDelimiter: true
  - word: "million"
    factor: 1000000
    isPartDelimiter: true

# This defines how individual words are interpreted as digits of a number.
numberWords:
  - word: "0"
    alternates:
      - "no"
      - "a"
      - "zero"
      - "zarrow"
      - "oh"
      - "zara"
      - "o"
    value: 0
    mayBeDigitOneOfTwo: false
    mayBeDigitTwoOfTwo: false
  - word: "1"
    alternates:
      - "one"
      - "ones"
      - "won"
      - "wone"
      - "i"
      - "when"
      - "on"
    value: 1
    mayBeDigitOneOfTwo: false
    mayBeDigitTwoOfTwo: true
  - word: "2"
    alternates:
      - "two"
      - "tuo"
      - "to"
      - "too"
      - "ii"
      - "tio"
      - "through"
    value: 2
    mayBeDigitOneOfTwo: false
    mayBeDigitTwoOfTwo: true
  - word: "3"
    alternates:
      - "three"
      - "tree"
      - "free"
      - "pre"
      - "iii"
      - "re"
    value: 3
    mayBeDigitOneOfTwo: false
    mayBeDigitTwoOfTwo: true
  - word: "4"
    alternates:
      - "four"
      - "fourth"
      - "for"
      - "form"
      - "fuor"
      - "before"
      - "forth"
      - "whore"
      - "iv"
    value: 4
    mayBeDigitOneOfTwo: false
    mayBeDigitTwoOfTwo: true
  - word: "5"
    alternates:
      - "five"
      - "fyve"
      - "v"
      - "fiver"
    value: 5
    mayBeDigitOneOfTwo: false
    mayBeDigitTwoOfTwo: true
  - word: "6"
    alternates:
      - "six"
      - "sixth"
      - "sex"
      - "essex"
    value: 6
    mayBeDigitOneOfTwo: false
    mayBeDigitTwoOfTwo: true
  - word: "7"
    alternates:
      - "seven"
      - "sevin"
      - "sevyn"
    value: 7
    mayBeDigitOneOfTwo: false
    mayBeDigitTwoOfTwo: true
  - word: "8"
    alternates:
      - "eight"
      - "aight"
      - "ate"
      - "wait"
      - "ape"
      - "eat"
      - "hate"
      - "heat"
      - "mate"
      - "it"
    value: 8
    mayBeDigitOneOfTwo: false
    mayBeDigitTwoOfTwo: true
  - word: "9"
    alternates:
      - "nine"
      - "line"
      - "mine"
    value: 9
    mayBeDigitOneOfTwo: false
    mayBeDigitTwoOfTwo: true
  - word: "ten"
    alternates:
      - "then"
    value: 10
    mayBeDigitOneOfTwo: false
    mayBeDigitTwoOfTwo: false
  - word: "eleven"
    alternates:
      - "levin"
    value: 11
    mayBeDigitOneOfTwo: false
    mayBeDigitTwoOfTwo: false
  - word: "twelve"
    alternates:
      - "twelfth"
      - "12th"
    value: 12
    mayBeDigitOneOfTwo: false
    mayBeDigitTwoOfTwo: false
  - word: "thirteen"
    value: 13
    mayBeDigitOneOfTwo: false
    mayBeDigitTwoOfTwo: false
  - word: "fourteen"
    value: 14
    mayBeDigitOneOfTwo: false
    mayBeDigitTwoOfTwo: false
  - word: "fifteen"
    value: 15
    mayBeDigitOneOfTwo: false
    mayBeDigitTwoOfTwo: false
  - word: "sixteen"
    value: 16
    mayBeDigitOneOfTwo: false
    mayBeDigitTwoOfTwo: false
  - word: "seventeen"
    value: 17
    mayBeDigitOneOfTwo: false
    mayBeDigitTwoOfTwo: false
  - word: "eighteen"
    alternates:
      - "eating"
      - "heating"
    value: 18
    mayBeDigitOneOfTwo: false
    mayBeDigitTwoOfTwo: false
  - word: "nineteen"
    value: 19
    mayBeDigitOneOfTwo: false
    mayBeDigitTwoOfTwo: false
  - word: "twenty"
    value: 20
    mayBeDigitOneOfTwo: true
    mayBeDigitTwoOfTwo: false
  - word: "thirty"
    alternates:
      - "dirty"
    value: 30
    mayBeDigitOneOfTwo: true
    mayBeDigitTwoOfTwo: false
  - word: "forty"
    value: 40
    mayBeDigitOneOfTwo: true
    mayBeDigitTwoOfTwo: false
  - word: "fifty"
    value: 50
    mayBeDigitOneOfTwo: true
    mayBeDigitTwoOfTwo: false
  - word: "sixty"
    value: 60
    mayBeDigitOneOfTwo: true
    mayBeDigitTwoOfTwo: false
  - word: "seventy"
    value: 70
    mayBeDigitOneOfTwo: true
    mayBeDigitTwoOfTwo: false
  - word: "eighty"
    alternates:
      - "hedy"
      - "navy"
      - "edi"
      - "hedi"
      - "haiti"
      - "needy"
      - "ab"
    value: 80
    mayBeDigitOneOfTwo: true
    mayBeDigitTwoOfTwo: false
  - word: "idiot"
    alternates:
      - "radiate"
    value: 88
    mayBeDigitOneOfTwo: false
    mayBeDigitTwoOfTwo: false
  - word: "ninety"
    value: 90
    mayBeDigitOneOfTwo: true
    mayBeDigitTwoOfTwo: false
  - word: "wanton"
    value: 110
    mayBeDigitOneOfTwo: false
    mayBeDigitTwoOfTwo: false

